Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.puppycrawl.tools.checkstyle.checks
Class AbstractTypeAwareCheck.ClassInfo

    java.lang.Object
      com.puppycrawl.tools.checkstyle.checks.AbstractTypeAwareCheck.ClassInfo

Enclosing class:
  AbstractTypeAwareCheck

    protected abstract static class AbstractTypeAwareCheck.ClassInfo

extends Object

Contains class's `Token`.

Constructor Summary
`protected` | `AbstractTypeAwareCheck.ClassInfo(AbstractTypeAwareCheck.Token aName)` Creates new instance of class inforamtion object.

Method Summary
`abstract Class` | `getClazz()`
`AbstractTypeAwareCheck.Token` | `getName()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AbstractTypeAwareCheck.ClassInfo

    protected AbstractTypeAwareCheck.ClassInfo(AbstractTypeAwareCheck.Token aName)

  Creates new instance of class inforamtion object.

  Parameters:
    `aName` - token which represents class name.

Method Detail

### getName

    public final AbstractTypeAwareCheck.Token getName()

  Returns:
    class name

### getClazz

    public abstract Class getClazz()

  Returns:
    `Class` associated with an object.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Back to the Checkstyle Home Page
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD